[oe-commits] [openembedded-core] 15/51: lzo: update ptest output format

git at git.openembedded.org git at git.openembedded.org
Wed Aug 10 09:47:40 UTC 2016


rpurdie pushed a commit to branch master
in repository openembedded-core.

commit 5d09bfbeb898306298af1073d5d3d7512403b99c
Author: mingli.yu at windriver.com <mingli.yu at windriver.com>
AuthorDate: Wed Aug 3 17:22:57 2016 +0800

    lzo: update ptest output format
    
    The output format was updated to match yocto ptest rules:
    <result>: <testname>
    where the result can be PASS, FAIL, or SKIP, and the testname
    can be any identifying string.
    
    Signed-off-by: Li Wang <li.wang at windriver.com>
    Signed-off-by: Mingli Yu <mingli.yu at windriver.com>
    Signed-off-by: Ross Burton <ross.burton at intel.com>
---
 meta/recipes-support/lzo/lzo/run-ptest | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/meta/recipes-support/lzo/lzo/run-ptest b/meta/recipes-support/lzo/lzo/run-ptest
index 2ea7745..6acb89f 100644
--- a/meta/recipes-support/lzo/lzo/run-ptest
+++ b/meta/recipes-support/lzo/lzo/run-ptest
@@ -1,8 +1,33 @@
 #!/bin/sh
 
 ./lzotest -mavail -n10 -q /etc/services
+if [ $? -eq 0 ]; then
+  echo 'PASS: lzotest'
+else
+  echo 'FAIL: lzotest'
+fi
 LZOTEST=./lzotest /bin/sh -e "./check.sh" "/etc"
 ./align
+if [ $? -eq 0 ]; then
+  echo 'PASS: align'
+else
+  echo 'FAIL: align'
+fi
 ./chksum
+if [ $? -eq 0 ]; then
+  echo 'PASS: chksum'
+else
+  echo 'FAIL: chksum'
+fi
 ./simple
+if [ $? -eq 0 ]; then
+  echo 'PASS: simple'
+else
+  echo 'FAIL: simple'
+fi
 ./testmini
+if [ $? -eq 0 ]; then
+  echo 'PASS: testmini'
+else
+  echo 'FAIL: testmini'
+fi

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list